Use (Axis API)
Keywords: org.apache.axis.enum.Use,Use class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.enum
Class Use

    java.lang.Object
      |
      +--org.apache.axis.enum.Enum
            |
            +--org.apache.axis.enum.Use

All Implemented Interfaces:
  java.io.Serializable

public class Use
extends Enum

Use enum description

Author:
  Richard Scheuerle
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Use.Type`

Nested classes inherited from class org.apache.axis.enum.Enum
``

Field Summary
`static Use` | `DEFAULT`
`static Use` | `ENCODED`
`static java.lang.String` | `ENCODED_STR`
`static Use` | `LITERAL`
`static java.lang.String` | `LITERAL_STR`

Fields inherited from class org.apache.axis.enum.Enum
`log, name, value`

Method Summary
`static Use` | `getDefault()`
`java.lang.String` | `getEncoding()`
`static Use` | `getUse(int style)`
`static Use` | `getUse(java.lang.String style)`
`static Use` | `getUse(java.lang.String style, Use dephault)`
`static java.lang.String[]` | `getUses()`
`static boolean` | `isValid(java.lang.String style)`
`static int` | `size()`

Methods inherited from class org.apache.axis.enum.Enum
`equals, equals, getName, getType, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENCODED_STR

    public static final java.lang.String ENCODED_STR

See Also:
  Constant Field Values

### LITERAL_STR

    public static final java.lang.String LITERAL_STR

See Also:
  Constant Field Values

### ENCODED

    public static final Use ENCODED

### LITERAL

    public static final Use LITERAL

### DEFAULT

    public static final Use DEFAULT

Method Detail

### getDefault

    public static Use getDefault()

### getEncoding

    public final java.lang.String getEncoding()

### getUse

    public static final Use getUse(int style)

### getUse

    public static final Use getUse(java.lang.String style)

### getUse

    public static final Use getUse(java.lang.String style,
                                   Use dephault)

### isValid

    public static final boolean isValid(java.lang.String style)

### size

    public static final int size()

### getUses

    public static final java.lang.String[] getUses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.